Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.parser
Class XPathParser

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.parser.XPathParser

All Implemented Interfaces:
  XPathParserConstants

public class XPathParser
extends java.lang.Object
implements XPathParserConstants

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`XPathParserTokenManager` | `token_source`

Fields inherited from interface org.apache.commons.jxpath.ri.parser.XPathParserConstants
`AND, AXIS_ANCESTOR, AXIS_ANCESTOR_OR_SELF, AXIS_ATTRIBUTE, AXIS_CHILD, AXIS_DESCENDANT, AXIS_DESCENDANT_OR_SELF, AXIS_FOLLOWING, AXIS_FOLLOWING_SIBLING, AXIS_NAMESPACE, AXIS_PARENT, AXIS_PRECEDING, AXIS_PRECEDING_SIBLING, AXIS_SELF, BaseChar, CombiningChar, COMMENT, DEFAULT, Digit, DIV, EOF, EQ, Extender, FUNCTION_BOOLEAN, FUNCTION_CEILING, FUNCTION_CONCAT, FUNCTION_CONTAINS, FUNCTION_COUNT, FUNCTION_FALSE, FUNCTION_FLOOR, FUNCTION_FORMAT_NUMBER, FUNCTION_ID, FUNCTION_KEY, FUNCTION_LANG, FUNCTION_LAST, FUNCTION_LOCAL_NAME, FUNCTION_NAME, FUNCTION_NAMESPACE_URI, FUNCTION_NORMALIZE_SPACE, FUNCTION_NOT, FUNCTION_NULL, FUNCTION_NUMBER, FUNCTION_POSITION, FUNCTION_ROUND, FUNCTION_STARTS_WITH, FUNCTION_STRING, FUNCTION_STRING_LENGTH, FUNCTION_SUBSTRING, FUNCTION_SUBSTRING_AFTER, FUNCTION_SUBSTRING_BEFORE, FUNCTION_SUM, FUNCTION_TRANSLATE, FUNCTION_TRUE, GT, GTE, Ideographic, Letter, Literal, LT, LTE, MINUS, MOD, NCName, NEQ, NODE, Number, OR, PI, PLUS, S, SLASH, SLASHSLASH, TEXT, tokenImage, UnicodeDigit, UNION, VARIABLE`

Constructor Summary
`XPathParser(java.io.InputStream stream)`
`XPathParser(java.io.Reader stream)`
`XPathParser(XPathParserTokenManager tm)`

Method Summary
`int` | `AbbreviatedAxisSpecifier()`
`java.lang.Object` | `AbsoluteLocationPath()`
`java.lang.Object` | `AdditiveExpr()`
`java.lang.Object` | `AndExpr()`
`java.lang.Object` | `Argument()`
`java.util.ArrayList` | `ArgumentList()`
`int` | `AxisName()`
`int` | `AxisSpecifier()`
`java.lang.Object` | `CoreFunctionCall()`
`int` | `CoreFunctionName()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`java.lang.Object` | `EqualityExpr()`
`java.lang.Object` | `Expression()`
`java.lang.Object` | `FilterExpr()`
`java.lang.Object` | `FunctionCall()`
`java.lang.Object` | `FunctionName()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`java.lang.Object` | `LocationPath()`
`void` | `LocationStep(java.util.ArrayList steps)`
`java.lang.Object` | `MultiplicativeExpr()`
`java.lang.String` | `NCName_Without_CoreFunctions()`
`java.lang.String` | `NCName()`
`void` | `NodeTest(java.util.ArrayList steps)`
`int` | `NodeType()`
`java.lang.Object` | `OrExpr()`
`java.lang.Object` | `parseExpression()`
`java.lang.Object` | `PathExpr()`
`java.lang.Object` | `Predicate()`
`java.lang.Object` | `PrimaryExpr()`
`java.lang.Object` | `QName_Without_CoreFunctions()`
`java.lang.Object` | `QName()`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(XPathParserTokenManager tm)`
`java.lang.Object` | `RelationalExpr()`
`java.lang.Object` | `RelativeLocationPath()`
`void` | `setCompiler(Compiler compiler)`
`java.lang.Object` | `SubtractiveExpr()`
`java.lang.Object` | `UnaryExpr()`
`java.lang.Object` | `UnionExpr()`
`java.lang.Object` | `VariableReference()`
`java.lang.Object` | `WildcardName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public XPathParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### XPathParser

    public XPathParser(java.io.InputStream stream)

### XPathParser

    public XPathParser(java.io.Reader stream)

### XPathParser

    public XPathParser(XPathParserTokenManager tm)

Method Detail

### setCompiler

    public void setCompiler(Compiler compiler)

### NCName

    public final java.lang.String NCName()
                                  throws ParseException

### NCName_Without_CoreFunctions

    public final java.lang.String NCName_Without_CoreFunctions()
                                                        throws ParseException

### CoreFunctionName

    public final int CoreFunctionName()
                               throws ParseException

### QName

    public final java.lang.Object QName()
                                 throws ParseException

### QName_Without_CoreFunctions

    public final java.lang.Object QName_Without_CoreFunctions()
                                                       throws ParseException

### parseExpression

    public final java.lang.Object parseExpression()
                                           throws ParseException

### LocationPath

    public final java.lang.Object LocationPath()
                                        throws ParseException

### AbsoluteLocationPath

    public final java.lang.Object AbsoluteLocationPath()
                                                throws ParseException

### RelativeLocationPath

    public final java.lang.Object RelativeLocationPath()
                                                throws ParseException

### LocationStep

    public final void LocationStep(java.util.ArrayList steps)
                            throws ParseException

### NodeTest

    public final void NodeTest(java.util.ArrayList steps)
                        throws ParseException

### AxisSpecifier

    public final int AxisSpecifier()
                            throws ParseException

### AxisName

    public final int AxisName()
                       throws ParseException

### Predicate

    public final java.lang.Object Predicate()
                                     throws ParseException

### AbbreviatedAxisSpecifier

    public final int AbbreviatedAxisSpecifier()
                                       throws ParseException

### Expression

    public final java.lang.Object Expression()
                                      throws ParseException

### PrimaryExpr

    public final java.lang.Object PrimaryExpr()
                                       throws ParseException

### FunctionCall

    public final java.lang.Object FunctionCall()
                                        throws ParseException

### CoreFunctionCall

    public final java.lang.Object CoreFunctionCall()
                                            throws ParseException

### ArgumentList

    public final java.util.ArrayList ArgumentList()
                                           throws ParseException

### Argument

    public final java.lang.Object Argument()
                                    throws ParseException

### UnionExpr

    public final java.lang.Object UnionExpr()
                                     throws ParseException

### PathExpr

    public final java.lang.Object PathExpr()
                                    throws ParseException

### FilterExpr

    public final java.lang.Object FilterExpr()
                                      throws ParseException

### OrExpr

    public final java.lang.Object OrExpr()
                                  throws ParseException

### AndExpr

    public final java.lang.Object AndExpr()
                                   throws ParseException

### EqualityExpr

    public final java.lang.Object EqualityExpr()
                                        throws ParseException

### RelationalExpr

    public final java.lang.Object RelationalExpr()
                                          throws ParseException

### AdditiveExpr

    public final java.lang.Object AdditiveExpr()
                                        throws ParseException

### SubtractiveExpr

    public final java.lang.Object SubtractiveExpr()
                                           throws ParseException

### MultiplicativeExpr

    public final java.lang.Object MultiplicativeExpr()
                                              throws ParseException

### UnaryExpr

    public final java.lang.Object UnaryExpr()
                                     throws ParseException

### FunctionName

    public final java.lang.Object FunctionName()
                                        throws ParseException

### VariableReference

    public final java.lang.Object VariableReference()
                                             throws ParseException

### WildcardName

    public final java.lang.Object WildcardName()
                                        throws ParseException

### NodeType

    public final int NodeType()
                       throws ParseException

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(XPathParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.